--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "The instance manages two <tt>Hash</tt>es: one that maps <tt>Irc::User</tt>s onto <tt>BotUser</tt>s, and the other that maps usernames onto <tt>BotUser</tt>"
full_name: Irc::Bot::Auth::ManagerClass::new
is_singleton: true
name: new
params: ()
visibility: public
